libKasten4-0.26.1-1.1.x86_64.rpm


Advertisement

Description

libKasten4 - High-level hex editor/viewer framework libraries

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename libKasten4-0.26.1-1.1.x86_64.rpm
Package name libKasten4
Package version 0.26.1
Package release 1.1
Package architecture x86_64
Package type rpm
Category Development/Tools/Other
Homepage https://www.kde.org/applications/utilities/okteta
License GPL-2.0-only AND GFDL-1.2-only
Maintainer -
Download size 608.73 KB
Installed size 2.76 MB
Kasten is a WIP higher-level framework for composable document-centric
applications.

Alternatives

Package Version Architecture Repository
libKasten4-0.26.60git10~edc624b2-4.1.x86_64.rpm 0.26.60git10~edc624b2 x86_64 KDE Extra Unstable
libKasten4-0.26.60git10~edc624b2-4.1.i586.rpm 0.26.60git10~edc624b2 i586 KDE Extra Unstable
libKasten4-0.26.1-1.3.x86_64.rpm 0.26.1 x86_64 KDE Extra
libKasten4-0.26.1-1.3.i586.rpm 0.26.1 i586 KDE Extra
libKasten4-0.26.1-1.1.i586.rpm 0.26.1 i586 openSUSE Oss
libKasten4 - - -

Requires

Name Value
/sbin/ldconfig -
libKF5Completion.so.5()(64bit) -
libKF5ConfigCore.so.5()(64bit) -
libKF5ConfigGui.so.5()(64bit) -
libKF5ConfigWidgets.so.5()(64bit) -
libKF5CoreAddons.so.5()(64bit) -
libKF5I18n.so.5()(64bit) -
libKF5IconThemes.so.5()(64bit) -
libKF5JobWidgets.so.5()(64bit) -
libKF5KCMUtils.so.5()(64bit) -
libKF5KIOCore.so.5()(64bit) -
libKF5KIOFileWidgets.so.5()(64bit) -
libKF5NewStuff.so.5()(64bit) -
libKF5Parts.so.5()(64bit) -
libKF5Service.so.5()(64bit) -
libKF5WidgetsAddons.so.5()(64bit) -
libKF5XmlGui.so.5()(64bit) -
libOkteta3Core.so.0()(64bit) -
libOkteta3Gui.so.0()(64bit) -
libQt5Core.so.5()(64bit) -
libQt5Core.so.5(Qt_5)(64bit) -
libQt5Core.so.5(Qt_5.12)(64bit) -
libQt5Gui.so.5()(64bit) -
libQt5Gui.so.5(Qt_5)(64bit) -
libQt5Network.so.5()(64bit) -
libQt5Network.so.5(Qt_5)(64bit) -
libQt5PrintSupport.so.5()(64bit) -
libQt5PrintSupport.so.5(Qt_5)(64bit) -
libQt5Qml.so.5()(64bit) -
libQt5Qml.so.5(Qt_5)(64bit) -
libQt5Script.so.5()(64bit) -
libQt5Script.so.5(Qt_5)(64bit) -
libQt5Widgets.so.5()(64bit) -
libQt5Widgets.so.5(Qt_5)(64bit) -
libQt5Xml.so.5()(64bit) -
libQt5Xml.so.5(Qt_5)(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libqca-qt5.so.2()(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
okteta-data -

Provides

Name Value
libKasten4 = 0.26.1-1.1
libKasten4(x86-64) = 0.26.1-1.1
libKasten4Controllers.so.0()(64bit) -
libKasten4Core.so.0()(64bit) -
libKasten4Gui.so.0()(64bit) -
libKasten4Okteta2Controllers.so.0()(64bit) -
libKasten4Okteta2Core.so.0()(64bit) -
libKasten4Okteta2Gui.so.0()(64bit) -
libkasten = 0.26.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libKasten4-0.26.1-1.1.x86_64.rpm
Source Package okteta-0.26.1-1.1.src.rpm

Install Howto

Install libKasten4 rpm package:

# zypper install libKasten4

Files

Path
/usr/lib64/libKasten4Controllers.so.0
/usr/lib64/libKasten4Controllers.so.0.4.0
/usr/lib64/libKasten4Core.so.0
/usr/lib64/libKasten4Core.so.0.4.0
/usr/lib64/libKasten4Gui.so.0
/usr/lib64/libKasten4Gui.so.0.4.0
/usr/lib64/libKasten4Okteta2Controllers.so.0
/usr/lib64/libKasten4Okteta2Controllers.so.0.4.0
/usr/lib64/libKasten4Okteta2Core.so.0
/usr/lib64/libKasten4Okteta2Core.so.0.4.0
/usr/lib64/libKasten4Okteta2Gui.so.0
/usr/lib64/libKasten4Okteta2Gui.so.0.4.0
/usr/share/licenses/libKasten4/COPYING
/usr/share/licenses/libKasten4/COPYING.DOC
/usr/share/licenses/libKasten4/COPYING.LIB

Changelog

2019-04-11 - wbauer@tmo.at
- Update to 0.26.1
* Fixed: bad offset of elements in statusbar
* Translations improved (cs, en_GB, ga, lv, nn, pt)
2019-03-12 - wbauer@tmo.at
- Update to 0.26.0
* New: context menu available in byte array views, in the
program, in the KParts plugin and and in the hex editing
widgets from LibOktetaGui
* New: qmake pri files and pkg-config pc files installed for the
OktetaCore & OktetaGui libraries (_not_ for any Kasten ones)
* Changed: ABI-breaking and software-incompatible clean-up of API
and installed headers of the Okteta & Kasten libraries
* Fixed: the metadata desktop file for the KParts plugin
oktetapart is installed again, so it can be found and selected
as viewer via its metadata
- Split out the libs and KParts plugin to separate packages as
upstream recommends, move designer plugin to the devel package
2018-12-31 - wbauer@tmo.at
- Update to 0.25.5
* Add option to disable build of KParts plugin, Kasten libs, or
program
* Translations improved (fi, id, ru, zh_CN)
2018-10-08 - wbauer@tmo.at
- Update to 0.25.4
* Fix blurry cursor pixmaps in HiDPI
* Fix broken shadow cursor in HIDPI
* Translations improved (ru, sk)
2018-09-03 - wbauer@tmo.at
- Update to 0.25.3
* Setting Qt::AA_EnableHighDpiScaling for proper HiDPI scaling in
environments where none of the QT_*SCALE* vars is set
* Translations improved (ko, nn)
2018-08-08 - wbauer@tmo.at
- Update to 0.25.2
* Hide broken "Show non-printable chars" feature in UI for now
* Translations improved (fi, pt_BR)
2018-07-13 - wbauer@tmo.at
- Update to 0.25.1
* Remove extra margins from config dialog pages of the Structures
tool
* Remove debug log "register count: %d, destroy count %d:" from
normal build
* Translations improved (id, it, nn, zh_CN)
2018-06-12 - wbauer@tmo.at
- Update to 0.25.0
* First stand-alone release independent of KDE Applications
- Changes since 0.24.3 (as part of KDE Applications 17.12.3):
* Support for opening files by Drag'n'Drop on the empty
background and the empty view tab bar space has been restored
(lost in Qt5 port)
* Closing documents per MMB on the tab has been restored (lost in
Qt5 port)
* Mass reformatting & modernization of source code
- Update build requirements and file list
- Update URL and Source URL
- Mark license files with %license instead of %doc
- Ran spec-cleaner
2018-03-08 - lbeltrame@kde.org
- Update to 17.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
* Use QStyle::SP_DialogCloseButton instead of hardcoding "dialog-close"
* Use icons with more BookmarksController actions
* Bump version to 0.24.3
2018-02-07 - lbeltrame@kde.org
- Update to 17.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
* Bump version to 0.24.2

See Also

Package Description
libLASi-devel-1.1.2-3.4.i586.rpm Library to write UTF-8 strings to Postscript stream
libLASi-devel-1.1.2-3.4.x86_64.rpm Library to write UTF-8 strings to Postscript stream
libLASi1-1.1.2-3.4.i586.rpm Library to write UTF-8 strings to Postscript stream
libLASi1-1.1.2-3.4.x86_64.rpm Library to write UTF-8 strings to Postscript stream
libLHAPDF-6_2_1-6.2.1-3.2.i586.rpm A library for unified and interface to PDF sets
libLHAPDF-6_2_1-6.2.1-3.2.x86_64.rpm A library for unified and interface to PDF sets
libLLVM6-32bit-6.0.1-6.1.x86_64.rpm Libraries for LLVM
libLLVM6-6.0.1-6.1.i586.rpm Libraries for LLVM
libLLVM6-6.0.1-6.1.x86_64.rpm Libraries for LLVM
libLLVM7-32bit-7.0.1-6.1.x86_64.rpm Libraries for LLVM
libLLVM7-7.0.1-6.1.i586.rpm Libraries for LLVM
libLLVM7-7.0.1-6.1.x86_64.rpm Libraries for LLVM
libLTO6-32bit-6.0.1-6.1.x86_64.rpm Link-time optimizer for LLVM
libLTO6-6.0.1-6.1.i586.rpm Link-time optimizer for LLVM
libLTO6-6.0.1-6.1.x86_64.rpm Link-time optimizer for LLVM
Advertisement
Advertisement